package org.seasar.jsf.template.impl;

import javax.faces.component.UIComponent;
import javax.faces.component.UIParameter;

import org.w3c.dom.Node;

/**
 * @author higa
 *  
 */
public class UIParameterFactory extends AbstractComponentFactory {

	/**
	 * @param node
	 */
	public UIParameterFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		UIParameter component = new UIParameter();
		setProperties(component);
		return component;
	}
}